MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
SocketUtil.hxx File Reference

Go to the source code of this file.

## Functions
int | socket_bind_listen (int domain, int type, int protocol, SocketAddress address, int backlog)
| Creates a socket listening on the specified address. More...
int | socket_keepalive (int fd)

## Function Documentation

int socket_bind_listen | ( | int | domain,
|  | int | type,
|  | int | protocol,
|  | SocketAddress | address,
|  | int | backlog
| ) |  |

Creates a socket listening on the specified address.

This is a shortcut for socket(), bind() and listen().

Throws #std::system_error on error.

Parameters

  domain | the socket domain, e.g. PF_INET6
  type | the socket type, e.g. SOCK_STREAM
  protocol | the protocol, usually 0 to let the kernel choose
  address | the address to listen on
  backlog | the backlog parameter for the listen() system call
  error | location to store the error occurring, or NULL to ignore errors

Returns
  the socket file descriptor

int socket_keepalive | ( | int | fd | ) |